6.0.0-git
2019-12-12

[#14128] CalDav shared calendar SHOW permission
Summary CalDav shared calendar SHOW permission
Queue Kronolith
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester stangier (at) digitrace (dot) de
Created 2015-10-07 (1527 days ago)
Due
Updated 2015-10-11 (1523 days ago)
Assigned
Resolved 2015-10-11 (1523 days ago)
Milestone
Patch No

History
2015-10-11 23:32:56 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Makes sense to me. Fixed in Git.
2015-10-11 23:32:38 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit a8481fff8872f9d06b5db26e17761f8b72976714
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Oct 11 19:31:54 2015 -0400

     Bug: 14128 Need Horde_Perms::SHOW here so DAV clients match what
     Kronolith shows.

     Calendars with Horde_Perms::SHOW will show events with "Busy" titles
     only. Use the same logic when fetching events for DAV.

  kronolith/lib/Application.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/a8481fff8872f9d06b5db26e17761f8b72976714
2015-10-11 23:31:06 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit c291f4e3627b41c923232dc20e668f20ddc51d7c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Oct 11 19:24:07 2015 -0400

     Bug: 14128 Need Horde_Perms::SHOW here so DAV clients match what 
Kronolith shows.

     Calendars with Horde_Perms::SHOW will show events with "Busy" titles
     only. Use the same logic when fetching events for DAV.

  kronolith/lib/Application.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/c291f4e3627b41c923232dc20e668f20ddc51d7c
2015-10-07 15:34:42 stangier (at) digitrace (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ CalDav shared calendar SHOW permission
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I noticed an issue with appointments from shared calendar if only show 
permissions are set.

You are able to see the appointment in the horde web interface, the 
title is "busy".
But if you subscribe to the calender you don't see any appointments in 
evolution or Thunderbird lightning.

I did some debugging and get a http 500 error code and this error message:
        "Calendar does not exist or no permission to edit"

I fixed it by changing line 723 and 764 in the 
kronolith/lib/Application.php file to:
   if (!Kronolith::hasPermission($internal, Horde_Perms::SHOW)) {

After this fix you are able to see the "busy" appointment in 
subscribed calendars.

Shouldn't it be this way?

Kind regards,
Lionne Stangier

Saved Queries